package org.rcisoft.business.memGoldCoinFlow.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.Date;

/**
* Created with cy on 2025年2月7日 上午10:11:22.
*/
@Data
@TableName("mem_gold_coin_flow")
public class MemGoldCoinFlow  extends CyIdIncreEntity<MemGoldCoinFlow> {


     /**
     * @desc 1：充值   2：消费
     * @column type
     * @default
     */
     @Excel(name = "1：充值   2：消费", orderNum = "0", width = 20)
     private String type;

     /**
     * @desc 10：用户充值   11：系统充值  20：点赞    21：发动态    22：留言  23：要微信联系方式    24：接收微信请求
     * @column action_type
     * @default
     */
     @Excel(name = "10：用户充值  11：系统充值  12:系统赠送  20：点赞   21：发动态    22：留言", orderNum = "1", width = 20)
     private String actionType;

     /**
     * @desc 金币数量
     * @column count
     * @default
     */
     @Excel(name = "金币数量", orderNum = "2", width = 20)
     private Integer count;

     /**
     * @desc 交易后的余额
     * @column end_count
     * @default
     */
     @Excel(name = "交易后的余额", orderNum = "3", width = 20)
     private Integer endCount;

     /**
     * @desc 订单id
     * @column order_id
     * @default
     */
     @Excel(name = "订单id", orderNum = "4", width = 20)
     private BigInteger orderId;

     /**
     * @desc 目标id，用户id
     * @column target_id
     * @default
     */
     @Excel(name = "目标id，用户id", orderNum = "5", width = 20)
     private BigInteger targetId;

     //现在的余额
     @TableField(exist = false)
     private Integer balance;

     //会员Id
     @TableField(exist = false)
     private Integer memberId;

     //用户
     @TableField(exist = false)
     private String userNickName;

     /**
      * 开始时间
      */
     @TableField(exist = false)
     private String beginTime;

     /**
      * 结束时间
      */
     @TableField(exist = false)
     private String endTime;
}

