package org.rcisoft.business.memInfo.entity;


import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class UserInfoVO {

    /**
     * 用户id
     */
    private Integer businessId;

    /**
     * 登录名
     */
    private String username;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 用户类型（0系统用户 1普通用户）
     */
    private String userType;

    /**
     * 用户姓名
     */
    private String name;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 性别
     */
    private String sex;

    /**
     * 会员id
     */
    private Integer memberId;


    /**
     * wx昵称
     */
    private String wxNickName;

    /**
     * wx头像
     */
    private String wxHead;

    /**
     * 身份（00 管理用户， 10 会员）
     */
    private String userIdentity;

    /**
     * openId
     */
    private String wxOpenid;

    /**
     * wx性别
     */
    private String wxSex;


    /**
     * @desc 创建时间
     * @column create_date
     * @default
     */
    @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @Excel(name = "创建时间", orderNum = "2", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    /**
     * @desc 创建时间
     * @column update_date
     * @default
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @Excel(name = "创建时间", orderNum = "2", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateDate;

    private String flag;
    private String delFlag;
    private String createBy;
    private String updateBy;
    private String remarks;
}
