package org.rcisoft.business.opmBlacklist.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.opmBlacklist.entity.OpmBlackList;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2025年2月10日 上午9:46:37.
 */
public interface OpmBlackListService {

    /**
    * 保存 黑名单表
    * @param opmBlackList
    * @return
    */
    CyPersistModel persist(OpmBlackList opmBlackList);

    /**
    * 删除 黑名单表
    * @param opmBlackList
    * @return
    */
    CyPersistModel remove(OpmBlackList opmBlackList);

    /**
    * 修改 黑名单表
    * @param opmBlackList
    * @return
    */
    CyPersistModel merge(OpmBlackList opmBlackList);

    /**
    * 根据id查询 黑名单表
    * @param id
    * @return
    */
    OpmBlackList findById(int id);

    /**
    * 分页查询 黑名单表
    * @param opmBlackList
    * @return
    */
    IPage<OpmBlackList> findAllByPagination(CyPageInfo<OpmBlackList> paginationUtility,
              OpmBlackList opmBlackList);


    /**
    * 查询list 黑名单表
    * @param opmBlackList
    * @return
    */
    List<OpmBlackList> findAll(OpmBlackList opmBlackList);


    /**
    * 导出黑名单表
    * @return
    */
    List<OpmBlackList> export(OpmBlackList opmBlackList);

}
